Hitachi Vantara Pentaho Community Forums
Results 1 to 5 of 5

Thread: Specified query not executable here - pentaho reporting - BI Server

  1. #1
    Join Date
    May 2012
    Posts
    5

    Angry Specified query not executable here - pentaho reporting - BI Server

    So i've designed a report in Pentaho Report Designer 3.9 and previewed it and ran it on my machine and everything works fine.
    I have an input paramater that is a dropdown list and gets its values from a query called Vertical-List.
    Now the drop down works on my machine. However, when i publish the report to the Online interface and try to access it, I get a message that says *The Specified query "Vertical-List" is not executable here * i dont know what that means and what to do. It worked this morning and suddenly it stopped working.
    Please help a brother out.



  2. #2
    Join Date
    May 2012
    Posts
    5

    Default

    anyone?

  3. #3

    Default

    can you show us what your query is that creates "VerticalList"

  4. #4
    Join Date
    Jun 2011
    Posts
    18

    Default

    I don't know if this has been solved yet, but I faced the same problem.
    Basically, check your pentaho BI server version (check about Menu), mine was Pentaho 4.1.0 stable (which is technically speaking BI server 3.10)
    But Pentaho report designer 3.9 cannot publish on this server version (it can, but it throws the error not executable here or in some other cases it just displayed an empty report )

    2 options here :
    upgrade your pentaho BI server to 4.5 (technically it is also called 4.5 which is great for once)
    if you don't want to upgrade, then you have to design your report with Pentaho Report Designer 3.8.3 (to publish on 4.1.0)

  5. #5
    Join Date
    Jun 2007
    Posts
    476

    Default

    Quote Originally Posted by prof_weetos View Post
    I don't know if this has been solved yet, but I faced the same problem.
    Basically, check your pentaho BI server version (check about Menu), mine was Pentaho 4.1.0 stable (which is technically speaking BI server 3.10)
    But Pentaho report designer 3.9 cannot publish on this server version (it can, but it throws the error not executable here or in some other cases it just displayed an empty report )

    2 options here :
    upgrade your pentaho BI server to 4.5 (technically it is also called 4.5 which is great for once)
    if you don't want to upgrade, then you have to design your report with Pentaho Report Designer 3.8.3 (to publish on 4.1.0)
    You can also use http://wiki.pentaho.com/display/PEOp...Version+Matrix to make sure you are using the correct versions
    Rodrigo Haces
    TAM / Enterprise Architect
    Pentaho

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Privacy Policy | Legal Notices | Safe Harbor Privacy Policy

Copyright © 2005 - 2019 Hitachi Vantara Corporation. All Rights Reserved.